Subject: bug#21968: Apparent regression on the undo command

From: David Reitter <[email-masked]>
Date: Sat, 21 Nov 2015 19:55:22 -0500

Phil,

I tried your fix.  It works for backward-kill-word, but for kill-word (forward), the cursor ends up in the wrong place (after the word, not where it was initially).

- David

> On Nov 21, 2015, at 6:18 AM, Artur Malabarba <[email-masked]> wrote:
> 
> I can't speak for the code, but I just tested your fix and looks like it works.
> 
> Thanks Phil.
> 
> 2015-11-21 10:02 GMT+00:00 Phillip Lord <[email-masked]>:
> 
> I have a possible fix for this now, currently on the
> branch fix/undo-point-in-wrong-place. I waiting for some other feedback
> on my code before I squash and merge it, but if you have the chance it
> would be good to know if it works.
> 
> Phil
> 
> 
> Artur Malabarba <[email-masked]> writes:
> 
> > No problem Phil.
> > Thanks for looking into this.
> > On 20 Nov 2015 7:51 am, "Phillip Lord" <[email-masked]> wrote:
> >
> >>
> >> It is my commit after all. I will work on it as soon as I can. Had a nasty
> >> cold for the last few days.
> >>
> >> Phil
> >> ________________________________________
> >> From: emacs-devel-bounces+phillip.lord=[email-masked]
> >> [emacs-devel-bounces+phillip.lord=[email-masked]] on behalf of
> >> Karl Fogel [[email-masked]]
> >> Sent: 20 November 2015 01:24
> >> To: Phillip Lord
> >> Cc: Artur Malabarba; emacs-devel
> >> Subject: Re: Apparent regression on the undo command
> >>
> >> [email-masked] (Phillip Lord) writes:
> >> >Artur Malabarba <[email-masked]> writes:
> >> >> 2015-11-19 9:47 GMT+00:00 Phillip Lord <[email-masked]>:
> >> >>> I'll try and see if I can automate the problem and
> >> >>> run a bisect.
> >> >>
> >> >> The following works for me. When called on the *scratch* buffer it
> >> >> returns non-nil if the problem occurs.
> >> >>
> >> >> (progn
> >> >>   (kmacro-call-macro nil nil nil [134217788 11 14 14 11 67108911])
> >> >>   (equal (point-min) (point)))
> >> >>
> >> >> That macro simply calls M-< C-k C-n C-n C-k C-/
> >> >
> >> >
> >> >I tried various combinations -- works interactively but fails in batch
> >> >either because *scratch* hasn't been initialized, or undo appears to
> >> >work wrongly.
> >> >
> >> >No worries, it's easy enough to test by hand, and am doing so.
> >>
> >> Any luck?  FWIW I'm noticing the bug too, in emacs-25 branch built from
> >> commit c210b8b128c.
> >>
> >> Best regards,
> >> -Karl
> >>
> >>
>